io.undertow.util

## Class ImmediatePooledByteBuffer

- java.lang.Object
- - io.undertow.util.ImmediatePooledByteBuffer

All Implemented Interfaces:
  PooledByteBuffer, Closeable, AutoCloseable

    public class ImmediatePooledByteBuffer
    extends Object
    implements PooledByteBuffer

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ImmediatePooledByteBuffer(ByteBuffer buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`ByteBuffer` `getBuffer()`
`boolean` `isOpen()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImmediatePooledByteBuffer

    public ImmediatePooledByteBuffer(ByteBuffer buffer)

### Method Detail

#### getBuffer

    public ByteBuffer getBuffer()

Specified by:
  `getBuffer` in interface `PooledByteBuffer`

#### close

    public void close()

Specified by:
  `close` in interface `PooledByteBuffer`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`

#### isOpen

    public boolean isOpen()

Specified by:
  `isOpen` in interface `PooledByteBuffer`